﻿using Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Mail;
using System.Text;

namespace Business
{
    public class Bank
    {
        public static decimal TransferLimit = 10000;
        private IBankRepository _repo;

        public Bank(IBankRepository repo)
        {
            this._repo = repo;
        }

        public bool Transfer(int account1, int account2, decimal amount)
        {
            if (amount > Bank.TransferLimit)
            {
                var mailer = new SmtpClient();
                mailer.Send("...@...",
                    "...@...",
                    "Transfer limit exceeded", string.Empty);
                return true;
            }
            else 
            {
                this._repo.Withdraw(account1, amount);
                this._repo.Deposit(account2, amount);
                return true;
            }
        }

        public DateTime InactiveSince(int account)
        {
            return DateTime.Now;
        }
    }
}
